#include "triangles.h"

std::vector<std::vector<int>> solve(int n){
    int a = 0, b = 1, c = 2, d = 3;
    int cmp = compare({Triangle(a, b, c)}, {Triangle(a, b, d)});
    if(cmp == -1){
        std::swap(c, d);
    }
    int cmp2 = compare({Triangle(a,b,c)}, {Triangle(a,b,d),Triangle(a,c,d), Triangle(c, d, b)});
    if(cmp2 >= 0){
        return {{a, b, c}};
    } else {
        return {{a, b, c, d}};
    }
}